Attribute VB_Name = "Modulo1"
Rem requires API and Kernel32.DLL
Public Declare Function GetVolumeInformation Lib "kernel32" Alias "GetVolumeInformationA" (ByVal lpRootPathName As String, ByVal lpVolumeNameBuffer As String, ByVal nVolumeNameSize As Long, lpVolumeSerialNumber As Long, lpMaximumComponentLength As Long, lpFileSystemFlags As Long, ByVal lpFileSystemNameBuffer As String, ByVal nFileSystemNameSize As Long) As Long

Public Const GETDI_SERIAL = 1
Public Const GETDI_LABEL = 2
Public Const GETDI_TYPE = 3

Function GetDriveInfo(strDrive As String, iType As Integer)
    
    Dim SerialNum As Long
    Dim strLabel As String
    Dim strType As String
    
    Dim lRetVal As Long
    
    strLabel = Space(256)
    strType = Space(256)
    
    lRetVal = GetVolumeInformation(strDrive, strLabel, Len(strLabel), SerialNum, 0, 0, strType, Len(strType))
    
    Select Case iType
        Case Is = 1
            GetDriveInfo = CStr(SerialNum)
        Case Is = 2
            GetDriveInfo = strLabel
        Case Is = 3
            GetDriveInfo = strType
    End Select

End Function
